POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "381f39dd-5728-4aeb-b3f0-c7a91357fc98",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "098fedcf-3b1c-4d78-9d60-7bf3959719d7",
"contractItem_ID": "24a06d4f-d7bb-44d7-8a03-3b87bda57931",
"departement_ID": "8674c9d1-f56f-45e7-a2d8-a22b552fe6ab",
"departmentItem_ID": "1bc34f13-7132-492d-aafc-7b7f96743dc0",
"iD": "40f24bf9-fe7f-41ed-a5d3-8862d5957550",
"site_ID": "625727b3-af09-4d8f-a53a-d76ff973fee7",
"siteCustomer_ID": "f0e1756c-9760-4cb1-bba9-5daac3c01156",
"sticker_ID": "4acdeeb6-3426-460c-944a-f1ca58e0de31",
"garment_ID": "698beaa7-9aae-440d-8245-4840c558a55a"
},
{
"active": true,
"contract_ID": "098fedcf-3b1c-4d78-9d60-7bf3959719d7",
"contractItem_ID": "24a06d4f-d7bb-44d7-8a03-3b87bda57931",
"departement_ID": "8674c9d1-f56f-45e7-a2d8-a22b552fe6ab",
"departmentItem_ID": "1bc34f13-7132-492d-aafc-7b7f96743dc0",
"iD": "40f24bf9-fe7f-41ed-a5d3-8862d5957550",
"site_ID": "625727b3-af09-4d8f-a53a-d76ff973fee7",
"siteCustomer_ID": "f0e1756c-9760-4cb1-bba9-5daac3c01156",
"sticker_ID": "4acdeeb6-3426-460c-944a-f1ca58e0de31",
"garment_ID": "698beaa7-9aae-440d-8245-4840c558a55a"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "184e1e89-b7b0-4555-bc9c-a8fdd13e072b",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "57a4a6c7-fad5-48de-ace4-70eb18b6afee",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "b1477ac7-42df-4f3e-89e8-087e2208f33c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "bf912a33-241b-4baf-8e3c-ded56b205a1d",
"stickerField_ID": "af54c3ea-6d1b-4006-82d1-e0b4dc4d92fb",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "184e1e89-b7b0-4555-bc9c-a8fdd13e072b",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "57a4a6c7-fad5-48de-ace4-70eb18b6afee",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "b1477ac7-42df-4f3e-89e8-087e2208f33c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "bf912a33-241b-4baf-8e3c-ded56b205a1d",
"stickerField_ID": "af54c3ea-6d1b-4006-82d1-e0b4dc4d92fb",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "ec0f8ab1-eb4c-41ac-8830-9e147f18c8e0",
"stickerType_ID": "a3177961-9bfd-4bde-b47b-21dd3b104741",
"stickerRelation_IDs": [
"0d8611f3-47f6-48b7-b563-95972c2bf8bc",
"7990cfd4-01b0-4266-b16e-f01a52aaf8a4"
],
"site_ID": "9b98d55a-54dd-470a-aa78-881de2bec5ac"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"8a671962-31d1-4d6c-9ce8-280647e5947e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8a671962-31d1-4d6c-9ce8-280647e5947e</guid>